Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jst.jsf.metadataprocessors.internal.provisional.features
Interface IValidValues

All Superinterfaces:
  IMetaDataEnabledFeature

All Known Implementing Classes:
  BooleanType, ComponentBindingType, ComponentIDType, EnumerationType, FacesConfigIdentifierFeatures, JavaClassType, MethodBindingType, StringType, ValueType

public interface IValidValues
extends IMetaDataEnabledFeature

Field Summary
`static java.lang.String` | `VALID_VALUES_CODE_PROP_NAME`
`static java.lang.String` | `VALID_VALUES_MAX_PROP_NAME`
`static java.lang.String` | `VALID_VALUES_MESSAGE_PROP_NAME`
`static java.lang.String` | `VALID_VALUES_MIN_PROP_NAME`
`static java.lang.String` | `VALID_VALUES_PROP_NAME`
`static java.lang.String` | `VALID_VALUES_SEVERITY_PROP_NAME`

Method Summary
`java.util.List` | `getValidationMessages()`
`boolean` | `isValidValue(java.lang.String value)`

Methods inherited from interface org.eclipse.jst.jsf.metadataprocessors.internal.provisional.IMetaDataEnabledFeature
`getBundleID, getCMAnnotationContext, getStructuredDocumentContext, setBundleID, setContentModelContext, setStructuredDocumentContext`

Field Detail

### VALID_VALUES_PROP_NAME

    public static final java.lang.String VALID_VALUES_PROP_NAME

See Also:
  Constant Field Values

### VALID_VALUES_CODE_PROP_NAME

    public static final java.lang.String VALID_VALUES_CODE_PROP_NAME

See Also:
  Constant Field Values

### VALID_VALUES_SEVERITY_PROP_NAME

    public static final java.lang.String VALID_VALUES_SEVERITY_PROP_NAME

See Also:
  Constant Field Values

### VALID_VALUES_MESSAGE_PROP_NAME

    public static final java.lang.String VALID_VALUES_MESSAGE_PROP_NAME

See Also:
  Constant Field Values

### VALID_VALUES_MAX_PROP_NAME

    public static final java.lang.String VALID_VALUES_MAX_PROP_NAME

See Also:
  Constant Field Values

### VALID_VALUES_MIN_PROP_NAME

    public static final java.lang.String VALID_VALUES_MIN_PROP_NAME

See Also:
  Constant Field Values

Method Detail

### isValidValue

    public boolean isValidValue(java.lang.String value)

  Returns:
    true if is valid

### getValidationMessages

    public java.util.List getValidationMessages()

  Returns:
    List of IValidationMessage objects if invalid Must return empty list rather than null Call to isValidValue(String value) required before this should be called.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD